Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512409 - [3.6]Add --request-timeout to kube-apiserver to make global request timeout configurable [NEEDINFO]
Summary: [3.6]Add --request-timeout to kube-apiserver to make global request timeout c...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Master
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 3.6.z
Assignee: Michal Fojtik
QA Contact: Wang Haoran
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-13 07:02 UTC by Jaspreet Kaur
Modified: 2019-04-14 11:16 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-29 14:26:28 UTC
mfojtik: needinfo? (jkaur)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3566101 None None None 2018-08-16 13:11:10 UTC

Description Jaspreet Kaur 2017-11-13 07:02:02 UTC
Description of problem:  Make the currently hard coded 60 global request timeout in apiserver configurable via a --request-timeout command line flag.

This has impacted k8s users on slower internet connections, making clusters resources inaccessible once the data volume for requests exceeds what can be transmitted in 60 seconds (the current hard coded limit). By making the limit configurable, users are able to extend the limit to a duration appropriate to their connection speed.




Actual results: Doesn't have request-timeout flag in maste config as of now.


Expected results: have a configurable parameter request-timeout.


Additional info: Request for a backport of :

https://github.com/openshift/origin/blob/release-3.7/vendor/k8s.io/kubernetes/staging/src/k8s.io/apiserver/pkg/server/options/server_run_options.go#L128
https://github.com/kubernetes/kubernetes/pull/51415

Comment 1 Michal Fojtik 2017-11-13 12:56:45 UTC
Pull: https://github.com/openshift/ose/pull/925

Comment 8 Michal Fojtik 2018-01-29 14:26:28 UTC
The case is closed and we would rather to upgrade the customer than backporting this down to 3.6 as it is relatively risky change. I'm closing this BZ.


Note You need to log in before you can comment on or make changes to this bug.